Create a new ridership passenger.
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Ridership under the Ridership category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/ridership/passengers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"firstName": "John",
"lastName": "Doe",
"classification": "grade5",
"externalIds": {},
"identifiers": [
{
"status": "active",
"type": "rfid",
"value": "0418A2BC93"
}
],
"specialInstructions": {
"isGuardianRequired": false,
"isSpecialEducation": false
}
}
'{
"data": {
"accountId": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"createdAtTime": "2024-11-15T10:00:00Z",
"firstName": "John",
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"isActive": true,
"lastName": "Doe",
"updatedAtTime": "2024-11-15T10:30:00Z",
"classification": "grade5",
"externalIds": {},
"identifiers": [
{
"id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "active",
"type": "rfid",
"value": "0418A2BC93"
}
],
"specialInstructions": {
"isGuardianRequired": false,
"isSpecialEducation": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Samsara UUID of the ridership account this passenger belongs to.
"e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b"
First name of the passenger.
"John"
Last name of the passenger.
"Doe"
Classification or grade level of the passenger. Valid values: unknown, pk1, pk2, pk3, pk4, k, grade1, grade2, grade3, grade4, grade5, grade6, grade7, grade8, grade9, grade10, grade11, grade12
unknown, pk1, pk2, pk3, pk4, k, grade1, grade2, grade3, grade4, grade5, grade6, grade7, grade8, grade9, grade10, grade11, grade12 "grade5"
A map of external ids
Show child attributes
List of identifiers associated with the passenger.
Show child attributes
Special instructions for the passenger.
Show child attributes
OK response.
A ridership passenger entity.
Show child attributes
curl --request POST \
--url https://api.samsara.com/ridership/passengers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"firstName": "John",
"lastName": "Doe",
"classification": "grade5",
"externalIds": {},
"identifiers": [
{
"status": "active",
"type": "rfid",
"value": "0418A2BC93"
}
],
"specialInstructions": {
"isGuardianRequired": false,
"isSpecialEducation": false
}
}
'{
"data": {
"accountId": "e4b2c3a5-7d6f-4e8b-9a0c-1b2d3e4f5a6b",
"createdAtTime": "2024-11-15T10:00:00Z",
"firstName": "John",
"id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"isActive": true,
"lastName": "Doe",
"updatedAtTime": "2024-11-15T10:30:00Z",
"classification": "grade5",
"externalIds": {},
"identifiers": [
{
"id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"status": "active",
"type": "rfid",
"value": "0418A2BC93"
}
],
"specialInstructions": {
"isGuardianRequired": false,
"isSpecialEducation": true
}
}
}